Topic
  • 2 replies
  • Latest Post - ‏2012-11-15T18:23:56Z by SystemAdmin
SystemAdmin
SystemAdmin
2327 Posts

Pinned topic Issue updating WL Studio from 5.0.3 to 5.0.5 (Developer Edition)

‏2012-11-15T15:48:55Z |
Hi All,

I was trying to update my Worklight Studio version from 5.0.3 to 5.0.5 (Developer Edition) from inside the IDE itself.
Followed the steps:
Worklight Studio IDE -> Help -> Check for Updates -> Available Updates

Here you can view the list of all updates available. One of the item is Worklight Studio (Developer Edition)version 5.0.5.

But when I am trying to update WL Studio ( or any item from the list - generic error "Cannot complete the install because of a conflicting dependency."), it throws error like below:


Cannot complete the install because of a conflicting dependency.
Software being installed: Worklight Studio (Developer Edition) 5.0.5.20121106-2216 (com.worklight.studio.feature.feature.group 5.0.5.20121106-2216)
Software currently installed: Shared profile 1.0.0.1348757834681 (SharedProfile_bootProfile 1.0.0.1348757834681)
Only one of the following can be installed at once:
Worklight Studio 5.0.2.407 (com.worklight.studio.feature.feature.jar 5.0.2.407)
Worklight Studio (Developer Edition) 5.0.5.20121106-2216 (com.worklight.studio.feature.feature.jar 5.0.5.20121106-2216)
Cannot satisfy dependency:
From: Shared profile 1.0.0.1348757834681 (SharedProfile_bootProfile 1.0.0.1348757834681)
To: com.worklight.studio.feature.feature.jar http://5.0.2.407
Cannot satisfy dependency:
From: Worklight Studio (Developer Edition) 5.0.5.20121106-2216 (com.worklight.studio.feature.feature.group 5.0.5.20121106-2216)
To: com.worklight.studio.feature.feature.jar http://5.0.5.20121106-2216


Anyone has faced such issue or any idea how to move ahead.

Thanks,
Baxi
  • SystemAdmin
    SystemAdmin
    2327 Posts

    Re: Issue updating WL Studio from 5.0.3 to 5.0.5 (Developer Edition)

    ‏2012-11-15T18:19:28Z  
    Baxi,

    5.0.5 has been announced, but is not yet available. I'm not sure what's in your eclipse available software sites; but the latest Worklight version available is 5.0.0.3, which is studio version 5.0.2.407. See this technote for version mapping and what's available:

    http://www-01.ibm.com/support/docview.wss?uid=swg27036358

    fyi.. I have 5.0.0.3 installed and Check for Updates shows no updates available for Worklight. My available update site is pointing here:
    http://public.dhe.ibm.com/ibmdl/export/pub/software/mobile-solutions/worklight/wdeupdate/
    Barbara Hampson, Manager, IBM Worklight
  • SystemAdmin
    SystemAdmin
    2327 Posts

    Re: Issue updating WL Studio from 5.0.3 to 5.0.5 (Developer Edition)

    ‏2012-11-15T18:23:56Z  
    Baxi,

    5.0.5 has been announced, but is not yet available. I'm not sure what's in your eclipse available software sites; but the latest Worklight version available is 5.0.0.3, which is studio version 5.0.2.407. See this technote for version mapping and what's available:

    http://www-01.ibm.com/support/docview.wss?uid=swg27036358

    fyi.. I have 5.0.0.3 installed and Check for Updates shows no updates available for Worklight. My available update site is pointing here:
    http://public.dhe.ibm.com/ibmdl/export/pub/software/mobile-solutions/worklight/wdeupdate/
    Barbara Hampson, Manager, IBM Worklight
    Here's the revised availability for Worklight 5.0.5:

    http://www-01.ibm.com/common/ssi/ShowDoc.wss?docURL=/common/ssi/rep_ca/5/877/ENUSZP12-0605/index.html&lang=en&request_locale=en
    Barbara Hampson, Manager, IBM Worklight